using PhoneToolMX.Models;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace PhoneToolMX.Models {
    public enum CustomDataType {
        Background,
        MusicTone,
    }
    public class CustomData : IModel {
        public int? Id { get; set; }
        
        [MaxLength(16)]
        [Header("Name")]
        public string FriendlyName { get; set; }
        public CustomDataType DataType { get; set; }
        [Header("Size")]
        public uint Size { get; set; }
        public byte[] Data { get; set; }
    }
}