using PhoneToolMX.Data;
using PhoneToolMX.Models;

namespace PhoneToolMX.Models.ViewModels
{
    public interface IViewModel
    {
        public int? Id { get; set; }
        
        public IOwnedModel ToEntity(PTMXContext ctx);
        public IOwnedModel ToEntity(PTMXContext ctx, IOwnedModel current);

        public IViewModel FromEntity(IOwnedModel entity);

        public string NotifyOnChange();
    }
}
