namespace PhoneToolMX.Services
{
    public class PJSIPNotifyAction : AsterNET.Manager.Action.ManagerAction
    {

        public override string Action => "PJSIPNotify";
        
        /// <summary>
        /// The endpoint to which to send the NOTIFY.
        /// </summary>
        public string Endpoint { get; set; }
        
        /// <summary>
        /// The config section name from <c>pjsip_notify.conf</c> to use.
        /// One of Option or Variable must be specified.
        /// </summary>
        public string Option { get; set; }

        public PJSIPNotifyAction(string endpoint, string option)
        {
            Endpoint = endpoint;
            Option = option;
        }
    }
}
