using Microsoft.AspNetCore.Identity;
using System.ComponentModel.DataAnnotations.Schema;

namespace PhoneToolMX.Models
{
    public class Role : IdentityRole<string>
    {
        [DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        public override string Id { get; set; }
        
        public Role() { }
        public Role(string name)
        {
            Name = name;
        }
    }
}
