using System.Text.Json;

namespace PhoneToolMX.Helpers {
    public enum FormMessageType {
        Success,
        Info,
        Warning,
        Error,
    }
    
    public class FormMessage {
        public FormMessageType Type { get; set; }
        public string Message { get; set; }

        public string CssClassName() => $"msg-{Type.ToString().ToLower()}";
        public override string ToString() => JsonSerializer.Serialize(this);
    }
}
